org.apache.lucene.search.highlight

## Class TermVectorLeafReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.LeafReader
    - - org.apache.lucene.search.highlight.TermVectorLeafReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class TermVectorLeafReader
      extends LeafReader

  Wraps a Terms with a `LeafReader`, typically from term vectors.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.LeafReader

      `LeafReader.CoreClosedListener`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.ReaderClosedListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermVectorLeafReader(String field, Terms terms)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCoreClosedListener(LeafReader.CoreClosedListener listener)`
    `void` | `checkIntegrity()`
    `protected void` | `doClose()`
    `void` | `document(int docID, StoredFieldVisitor visitor)`
    `Fields` | `fields()`
    `BinaryDocValues` | `getBinaryDocValues(String field)`
    `Bits` | `getDocsWithField(String field)`
    `FieldInfos` | `getFieldInfos()`
    `Sort` | `getIndexSort()`
    `Bits` | `getLiveDocs()`
    `NumericDocValues` | `getNormValues(String field)`
    `NumericDocValues` | `getNumericDocValues(String field)`
    `PointValues` | `getPointValues()`
    `SortedDocValues` | `getSortedDocValues(String field)`
    `SortedNumericDocValues` | `getSortedNumericDocValues(String field)`
    `SortedSetDocValues` | `getSortedSetDocValues(String field)`
    `Fields` | `getTermVectors(int docID)`
    `int` | `maxDoc()`
    `int` | `numDocs()`
    `void` | `removeCoreClosedListener(LeafReader.CoreClosedListener listener)`

    - ### Methods inherited from class org.apache.lucene.index.LeafReader

      `addCoreClosedListenerAsReaderClosedListener, docFreq, getContext, getDocCount, getSumDocFreq, getSumTotalTermFreq, postings, postings, removeCoreClosedListenerAsReaderClosedListener, terms, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `addReaderClosedListener, close, decRef, document, document, ensureOpen, equals, getCombinedCoreAndDeletesKey, getCoreCacheKey, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, removeReaderClosedListener, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TermVectorLeafReader

          public TermVectorLeafReader(String field,
                                      Terms terms)

  - ### Method Detail

    - #### addCoreClosedListener

          public void addCoreClosedListener(LeafReader.CoreClosedListener listener)

      Specified by:
        `addCoreClosedListener` in class `LeafReader`

    - #### removeCoreClosedListener

          public void removeCoreClosedListener(LeafReader.CoreClosedListener listener)

      Specified by:
        `removeCoreClosedListener` in class `LeafReader`

    - #### doClose

          protected void doClose()
                          throws IOException

      Specified by:
        `doClose` in class `IndexReader`
      Throws:
        `IOException`

    - #### fields

          public Fields fields()
                        throws IOException

      Specified by:
        `fields` in class `LeafReader`
      Throws:
        `IOException`

    - #### getNumericDocValues

          public NumericDocValues getNumericDocValues(String field)
                                               throws IOException

      Specified by:
        `getNumericDocValues` in class `LeafReader`
      Throws:
        `IOException`

    - #### getBinaryDocValues

          public BinaryDocValues getBinaryDocValues(String field)
                                             throws IOException

      Specified by:
        `getBinaryDocValues` in class `LeafReader`
      Throws:
        `IOException`

    - #### getSortedDocValues

          public SortedDocValues getSortedDocValues(String field)
                                             throws IOException

      Specified by:
        `getSortedDocValues` in class `LeafReader`
      Throws:
        `IOException`

    - #### getSortedNumericDocValues

          public SortedNumericDocValues getSortedNumericDocValues(String field)
                                                           throws IOException

      Specified by:
        `getSortedNumericDocValues` in class `LeafReader`
      Throws:
        `IOException`

    - #### getSortedSetDocValues

          public SortedSetDocValues getSortedSetDocValues(String field)
                                                   throws IOException

      Specified by:
        `getSortedSetDocValues` in class `LeafReader`
      Throws:
        `IOException`

    - #### getDocsWithField

          public Bits getDocsWithField(String field)
                                throws IOException

      Specified by:
        `getDocsWithField` in class `LeafReader`
      Throws:
        `IOException`

    - #### getNormValues

          public NumericDocValues getNormValues(String field)
                                         throws IOException

      Specified by:
        `getNormValues` in class `LeafReader`
      Throws:
        `IOException`

    - #### getFieldInfos

          public FieldInfos getFieldInfos()

      Specified by:
        `getFieldInfos` in class `LeafReader`

    - #### getLiveDocs

          public Bits getLiveDocs()

      Specified by:
        `getLiveDocs` in class `LeafReader`

    - #### getPointValues

          public PointValues getPointValues()

      Specified by:
        `getPointValues` in class `LeafReader`

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Specified by:
        `checkIntegrity` in class `LeafReader`
      Throws:
        `IOException`

    - #### getTermVectors

          public Fields getTermVectors(int docID)
                                throws IOException

      Specified by:
        `getTermVectors` in class `IndexReader`
      Throws:
        `IOException`

    - #### numDocs

          public int numDocs()

      Specified by:
        `numDocs` in class `IndexReader`

    - #### maxDoc

          public int maxDoc()

      Specified by:
        `maxDoc` in class `IndexReader`

    - #### document

          public void document(int docID,
                               StoredFieldVisitor visitor)
                        throws IOException

      Specified by:
        `document` in class `IndexReader`
      Throws:
        `IOException`

    - #### getIndexSort

          public Sort getIndexSort()

      Specified by:
        `getIndexSort` in class `LeafReader`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.